Magick::PathArcRel Class Reference

`#include <Drawable.h>`

Inheritance diagram for Magick::PathArcRel:
[legend]
Collaboration diagram for Magick::PathArcRel:
[legend]

## Public Member Functions

| PathArcRel (const PathArcArgs &coordinates_)
| PathArcRel (const PathArcArgsList &coordinates_)
| PathArcRel (const PathArcRel &original_)
| ~PathArcRel (void)
void | operator() (MagickCore::DrawingWand *context_) const
VPathBase * | copy () const
Public Member Functions inherited from Magick::VPathBase
| VPathBase (void)
virtual | ~VPathBase (void)

## Detailed Description

Definition at line 2493 of file Drawable.h.

## Constructor & Destructor Documentation

## PathArcRel() [1/3]

Magick::PathArcRel::PathArcRel | ( | const PathArcArgs & | coordinates_ | ) |

Definition at line 1862 of file Drawable.cpp.

## PathArcRel() [2/3]

Magick::PathArcRel::PathArcRel | ( | const PathArcArgsList & | coordinates_ | ) |

Definition at line 1866 of file Drawable.cpp.

## PathArcRel() [3/3]

Magick::PathArcRel::PathArcRel | ( | const PathArcRel & | original_ | ) |

Definition at line 1870 of file Drawable.cpp.

## ~PathArcRel()

Magick::PathArcRel::~PathArcRel | ( | void |  | ) |

Definition at line 1875 of file Drawable.cpp.

## Member Function Documentation

## copy()

Magick::VPathBase * Magick::PathArcRel::copy | ( |  | ) | const

virtual

Implements Magick::VPathBase.

Definition at line 1888 of file Drawable.cpp.

## operator()()

void Magick::PathArcRel::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const

virtual

Implements Magick::VPathBase.

Definition at line 1878 of file Drawable.cpp.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp